Bug 1722 - lifetime argument in createCredential method does not take effect
: lifetime argument in createCredential method does not take effect
Status: RESOLVED FIXED
: CoG jglobus
security
: 1.1
: PC All
: P2 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-04-27 16:40 by
Modified: 2005-12-05 17:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-27 16:40:14
I export an ExtendedGSSCredential with lifetime 5 hours to a byte array.    
Then I use createCredential method to create a new GSSCredential with lifetime 
1 hour (shown below). However, the lifetime of the newly created credential is 
still 5 hours. Seems that the lifetime argument does not have any effect.

ExtendedGSSManager manager =(ExtendedGSSManager)ExtendedGSSManager.getInstance
();
            
cred= manager.createCredential(
            buff,
            ExtendedGSSCredential.IMPEXP_OPAQUE,
            3600,
            null,
            GSSCredential.INITIATE_AND_ACCEPT);
------- Comment #1 From 2004-04-28 01:24:15 -------
The lifetime option is ignored and unsupported. The lifetime of the credential 
is determined from the lifetime of all the certificates. I will update the 
javadoc and code appropriately.
------- Comment #2 From 2004-04-28 12:37:01 -------
Fix committed to cvs. A lifetime set to GSSCredential.DEFAULT_LIFETIME is now 
only allowed. Otherwise an error will be returned.